Skip to main content
GET
/
api
/
partner
/
v1
/
studio
/
videos
/
{videoId}
Get Studio Video
curl --request GET \
  --url https://api.example.com/api/partner/v1/studio/videos/{videoId}
import requests

url = "https://api.example.com/api/partner/v1/studio/videos/{videoId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/partner/v1/studio/videos/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "code": 200,
  "message": "Video status retrieved",
  "data": {
    "video_id": "22222222-2222-2222-2222-222222222222",
    "prediction_id": "pred_abc123",
    "model_id": "openai/sora-2",
    "provider": "fal",
    "status": "succeeded",
    "output_url": "https://cdn.example.com/videos/video-22222222.mp4",
    "error": null,
    "created_at": "2026-02-19T10:20:30.000Z",
    "context": "partner_api",
    "source": "partner_api_studio"
  }
}
Returns status for a Studio video job in the authenticated key scope.

Path Parameters

videoId
string
required
Video UUID returned by POST /api/partner/v1/studio/videos/generate.

Status Values

  • processing
  • succeeded
  • failed

Example

curl --request GET \
  --url 'https://www.genviral.io/api/partner/v1/studio/videos/22222222-2222-2222-2222-222222222222' \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "code": 200,
  "message": "Video status retrieved",
  "data": {
    "video_id": "22222222-2222-2222-2222-222222222222",
    "prediction_id": "pred_abc123",
    "model_id": "openai/sora-2",
    "provider": "fal",
    "status": "succeeded",
    "output_url": "https://cdn.example.com/videos/video-22222222.mp4",
    "error": null,
    "created_at": "2026-02-19T10:20:30.000Z",
    "context": "partner_api",
    "source": "partner_api_studio"
  }
}

Error Responses

  • 404 video_not_found
  • 422 invalid_path
  • 401 - authentication failed (missing/invalid/revoked token)